package ui

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/data/binding"
)

type BaseViewModel interface {
	GetBinding(string) binding.DataItem
	GetValidator(string) fyne.StringValidator
}

type ViewModel interface {
	BaseViewModel

	Initialize() error
	RefreshData() error
}

type DialogViewModel interface {
	BaseViewModel

	Initialize(data binding.DataItem) error
	RefreshData() error
}
